
{{ define "main" }}
  <div id="siteWrap"
    style=
    "
        width: fit-content;
        margin: auto;
        background: white;
        padding: 1px;
        margin-top: 10vh;
        margin-bottom: 10vh;
        box-shadow: 5px 5px 5px 0px rgba(0,0,0,0.5);
        border: solid rgba(0,0,0,0.2) 2px;
    "
  >
      {{ partial "header" . }}
      <div class="content">
          <div class="container">
              <div class="row justify-content-center">
                  <div class="col-sm-12 col-md-10">
                      <div class="markdown">
                          {{ partial "content" . }}
                      </div>

                      {{ if isset .Site.Params "best_posts" }}
                          <div class="mx-0 mx-md-4 best-posts">
                              <div class="page-heading">📌 {{ i18n "pinned" }}</div>
                              <ul>
                                  {{ range .Site.Params.best_posts }}
                                      <li>
                                          <a href="{{ .url }}">{{ .title }}</a>
                                      </li>
                                  {{ end }}
                              </ul>
                          </div>
                      {{ end }}

                      {{ if isset .Site.Params "latestpostcount" }}
                          <div class="mx-0 mx-md-4 posts">
                              {{ $nbPosts := len (where .Data.Pages "Section" "blog") }}
                              {{ if gt $nbPosts 0 }}
                                  <div class="page-heading">{{ i18n "latest_posts" }}</div>
                                  <ul class="px-0">
                                      {{ range (first .Site.Params.latestpostcount (where .Pages "Section" "blog")).GroupByDate "Jan, 2006" "desc" }}
                                          <li class="groupby">{{ .Key }}</li>
                                          {{ range sort .Pages "Date" "desc" }}
                                              {{ partial "list" . }}
                                          {{ end }}
                                      {{ end }}
                                  </ul>

                                  {{ if gt $nbPosts .Site.Params.latestpostcount }}
                                      <a href="./blog/" class="font-italic mt-4 see-more">{{ i18n "see-more" }}</a>
                                  {{ end }}
                              {{ end }}
                          </div>
                      {{ end }}
                  </div>
              </div>
          </div>
      </div>

      <script src="/js/libgif.js"></script>

      <script>
        var $parent = document.createElement("div")
            $gif = document.createElement("img")
           ,$favicon = document.createElement("link")

        $gif.crossOrigin = "anonymous"
        $gif.src = "https://cdn.discordapp.com/emojis/394935837948903424.gif"
        $favicon.rel = "icon"

        window.parent.document.head.appendChild($favicon)
        $parent.appendChild($gif)

        var supergif = new SuperGif({gif: $gif})
           ,$canvas

        supergif.load(()=> {
        	$canvas = supergif.get_canvas()
          updateFavicon()
        })

        function updateFavicon() {
        	$favicon.href = $canvas.toDataURL()
          window.requestAnimationFrame(updateFavicon)
        }
      </script>

      {{ partial "footer" . }}
  </div>
{{ end }}
